# Self-updating list of Session Communities

## What is Session?

[Session](https://getsession.org/) is a private messaging app that protects your meta-data,
encrypts your communications, and makes sure your messaging activities
leave no digital trail behind.

## What are Session Communities? What does this project do?

Session Communities are public chatrooms accessible from within Session Messenger.
This web project crawls known sources of Session Communities, and
displays information about them as a static HTML page.
[See live](https://sessioncommunities.online/).

## How do I get my Community listed?

**Answer**: Submit your Community to one of our [upstream sources](#which-sources-do-you-crawl), or better yet, create another page with links to your favorite Communities for more redundancy.

Then, read our [recommendations for Community operators](for-sogops.md).

## Which sources do you crawl?

Communities displayed come from a variety of sources:

- <https://session.directory/>,
- <https://lokilocker.com/Mods/Session-Groups/wiki/Session-Open-Groups>,
- <https://github.com/GNU-Linux-libre/Awesome-Session-Group-List>,
- <https://freearkham.cc/>,
- <https://simplifiedprivacy.com/techgroups>
- [a few hardcoded servers found on the internet](php/servers/known-servers.php).

Have a list we don't know about? [Shoot us a message](#contact-us).

## Contributing

See [CONTRIBUTING.md](CONTRIBUTING.md) for information about running the project and contributing code, or [languages/README.md](languages/README.md) to help add language labels for Communities.

## Policy

We require that content posted in Communities adheres to the Content Policy laid out in the [Session Terms of Service](https://getsession.org/terms-of-service). Additionally, we may consider Communities unsuitable for display if their content is in breach of copyright and/or encourages or instructs drug use.

If Communities explicitly accept such content or fail to moderate such content, we may display these Communities only to users who have disabled JavaScript in their browser, or to none at all. Therefore, **it is crucial your Community has adequate coverage by moderators**.

For safety reasons, we may also hide Communities intended for testing. We appreciate contact with and the continued vigilance of server operators to prevent any issues from arising that would lead to us de-listing your Community.

## Contact us

To report issues or make suggestions, [file an issue on this repository](https://codeberg.org/gravel/sessioncommunities.online/issues/new) or [visit the Web Development Community](https://sessioncommunities.online/#webdev+118d) on caliban.org. Be sure to include proper reasoning with your suggestion.

In case your issue cannot be resolved publicly, contact [gravel](https://codeberg.org/gravel/gravel) on Session as `gravel` (Registered Session ID).
