<?php
	/**
	 * \file
	 * Provide language flags for hardcoded Communities.
	 */

	/**
	 * @var array<string, string> $server_languages
	 *
	 * Dictionary of language flags for hardcoded Communities.
	 *
	 * The array key a Community ID (long or legacy short).
	 */
	$server_languages = [];

	// https://reccacon.com/Ukraine
	$server_languages[] = array(
		"Ukraine+02bd"                         => ""
	);

	// http://sog.caliban.org/
	$server_languages[] = array(
		"ai+118d"                              => "🇬🇧",
		"android+118d"                         => "🇬🇧",
		"announce+118d"                        => "🇬🇧",
		"brasil+118d"                          => "🇧🇷",
		"deutsch+118d"                         => "🇩🇪",
		"espanol+118d"                         => "🇪🇸",
		"francais+118d"                        => "🇫🇷",
		"gaming+118d"                          => "🇬🇧",
		"health+118d"                          => "🇬🇧",
		"im+118d"                              => "🇬🇧",
		"iom+118d"                             => "🇬🇧",
		"italiano+118d"                        => "🇮🇹",
		"linux+118d"                           => "🇬🇧",
		"modernsurvival+118d"                  => "🇬🇧",
		"music+118d"                           => "🇬🇧",
		"nl+118d"                              => "🇳🇱",
		"persian+118d"                         => "🇮🇷",
		"philosophy+118d"                      => "🇬🇧",
		"portugues+118d"                       => "🇵🇹",
		"privacy+118d"                         => "🇬🇧",
		"russian+118d"                         => "🇷🇺",
		"security+118d"                        => "🇬🇧",
		"snops+118d"                           => "🇬🇧",
		"sogops+118d"                          => "🇬🇧",
		"travel+118d"                          => "🇬🇧",
		"uk+118d"                              => "🇬🇧",
		"unix+118d"                            => "🇬🇧",
		"webdev+118d"                          => "🇬🇧"
	);

	// http://45.77.102.159/
	$server_languages[] = array(
		"kat67world+132d"                      => "🇬🇧",
		"origin+132d"                          => "🇨🇳",
		"scammer+132d"                         => "🇬🇧"
	);

	// https://3399981.xyz/
	$server_languages[] = array(
		"bangladesh+13f6"                      => "🇧🇩",
		"czsk+13f6"                            => "🇨🇿",
		"groups+13f6"                          => "🇬🇧",
		"india+13f6"                           => "🇮🇳",
		"indonesia+13f6"                       => "🇮🇩",
		"korea+13f6"                           => "🇰🇷",
		"poland+13f6"                          => "🇵🇱",
		"programming+13f6"                     => "🇬🇧",
		"womanbodybeauty+13f6"                 => "🇬🇧"
	);

	// http://170.64.140.202/
	$server_languages[] = array(
		"ufo+15a0"                             => "🇬🇧"
	);

	// http://116.203.217.101/
	$server_languages[] = array(
		"feels+2054"                           => "🇬🇧",
		"pol+2054"                             => "🇬🇧",
		"readonly+2054"                        => "",
		"tech+2054"                            => "🇬🇧",
		"tools+2054"                           => "🇬🇧"
	);

	// http://173.249.51.184/
	$server_languages[] = array(
		"energy-fi+2812"                       => "🇫🇮",
		"ev-en+2812"                           => "🇬🇧",
		"fi+2812"                              => "🇫🇮",
		"main+2812"                            => "",
		"pv-en+2812"                           => "🇬🇧",
		"scandinavia+2812"                     => ""
	);

	// http://sogs.horse.xxx/
	$server_languages[] = array(
		"biz+2b92"                             => "🇬🇧",
		"br+2b92"                              => "🇵🇹",
		"gee+2b92"                             => "🇬🇧",
		"guns+2b92"                            => "🇬🇧"
	);

	// http://94.176.239.60/
	$server_languages[] = array(
		"indexloki+2cbd"                       => "🇬🇧"
	);

	// http://communities.hangmans.in/
	$server_languages[] = array(
		"hangmansin+420e"                      => "🇬🇧",
		"hornyjail+420e"                       => "🇬🇧",
		"memepalace+420e"                      => "🇬🇧"
	);

	// https://group.whitepaperinkorea.com/
	$server_languages[] = array(
		"A4hanguo+4567"                        => "🇨🇳",
		"a4korea+4567"                         => "🇨🇳",
		"game+4567"                            => "🇨🇳",
		"liangjiahe+4567"                      => "🇨🇳"
	);

	// http://community.techbiscuit.co/
	$server_languages[] = array(
		"burnbook+48e9"                        => "🇬🇧",
		"degoogle+48e9"                        => "🇬🇧",
		"onewaychannel+48e9"                   => "🇬🇧",
		"orion_crochet+48e9"                   => "🇬🇧"
	);

	// https://2hu-ch.org/
	$server_languages[] = array(
		"animu+49ac"                           => "🇬🇧",
		"cryptography+49ac"                    => "🇬🇧"
	);

	// http://session.hwreload.it/
	$server_languages[] = array(
		"hwr+4b3e"                             => "🇮🇹"
	);

	// http://5.39.117.98/
	$server_languages[] = array(
		"bitcoinaustralia+4bec"                => "🇬🇧",
		"moneroaustralia+4bec"                 => "🇬🇧",
		"privacyaustralia+4bec"                => "🇬🇧"
	);

	// http://20.168.47.58/
	$server_languages[] = array(
		"australia+52bc"                       => "🇬🇧",
		"Bipolar+52bc"                         => "🇬🇧",
		"General+52bc"                         => "🇬🇧"
	);

	// https://movistar.ht-rewrite.com/
	$server_languages[] = array(
		"internet+70d0"                        => "🇬🇧"
	);

	// http://captain.geekgalaxy.com/
	$server_languages[] = array(
		"hall+7242"                            => "🇬🇧"
	);

	// http://89.147.109.247/
	$server_languages[] = array(
		"cannabis+78aa"                        => "🇬🇧"
	);

	// https://group.freearkham.cc/
	$server_languages[] = array(
		"arkham+7f55"                          => "🇨🇳",
		"bank+7f55"                            => "🇨🇳",
		"tizi+7f55"                            => "🇨🇳",
		"watermellon+7f55"                     => "🇨🇳"
	);

	// http://connectionsogs.online/
	$server_languages[] = array(
		"eu+8183"                              => "",
		"germanpoliticssocietyphilosophy+8183" => "🇩🇪"
	);

	// http://session.mathnodes.com/
	$server_languages[] = array(
		"mathnodes-dvpn-oxen-dero+8585"        => "🇬🇧"
	);

	// http://95.217.236.112/
	$server_languages[] = array(
		"CrazyGamers+8e2e"                     => "",
		"fishing+8e2e"                         => "",
		"ohjelmointisuomi+8e2e"                => "🇫🇮",
		"pk+8e2e"                              => "🇫🇮",
		"SuomenTori+8e2e"                      => "🇫🇮",
		"suomentoriv2+8e2e"                    => "🇫🇮",
		"tori+8e2e"                            => "🇫🇮"
	);

	// http://185.247.226.128
	$server_languages[] = array(
		"Maddisyns_Chat+9a2b"                  => "🇬🇧",
	);

	// formerly http://185.112.147.5/
	// formerly http://session.xanthus.uk/
	$server_languages[] = array(
		"midnight-madness+c992"                => "🇬🇧",
		"cannabis-chat+c992"                   => "🇬🇧",
	);

	// http://37.233.101.22/
	$server_languages[] = array(
		"catnamedivan+a3d5"                    => "🇷🇺",
		"esperanto+a3d5"                       => "🇪🇴",
		"ukraine+a3d5"                         => "🇬🇧",
		"yourfreesogs+a3d5"                    => "🇬🇧",
		"naturist+a3d5"                        => "🇬🇧",
	);

	// https://open.getsession.org/
	$server_languages[] = array(
		"crypto+a03c"                          => "🇬🇧",
		"lokinet+a03c"                         => "🇬🇧",
		"lokinet-updates+a03c"                 => "🇬🇧",
		"oxen+a03c"                            => "🇬🇧",
		"oxen-updates+a03c"                    => "🇬🇧",
		"session-dev+a03c"                     => "🇬🇧",
		"session-farsi+a03c"                   => "🇮🇷",
		"session-updates+a03c"                 => "🇬🇧",
		"session+a03c"                         => "🇬🇧"
	);

	// http://45.154.15.4:8888/
	$server_languages[] = array(
		"china+a19a"                           => "🇨🇳"
	);

	// http://93.95.230.10/
	$server_languages[] = array(
		"contronews+b501"                      => "🇮🇹"
	);

	// http://185.130.45.173/
	$server_languages[] = array(
		"cryptography+b79f"                    => "🇬🇧",
		"philosophy+b79f"                      => "🇬🇧",
		"trading+b79f"                         => "🇬🇧",
		"uncensored+b79f"                      => "🇬🇧",
		"uncensorednsfw+b79f"                  => "🇬🇧",
		"webdev+b79f"                          => "🇬🇧"
	);

	// https://session.ka7vee.com/
	$server_languages[] = array(
		"ares-races+c01b"                      => "🇬🇧",
		"camping+c01b"                         => "🇬🇧",
		"cfm+c01b"                             => "🇬🇧",
		"contesting+c01b"                      => "🇬🇧",
		"cw+c01b"                              => "🇬🇧",
		"dmr+c01b"                             => "🇬🇧",
		"dstar+c01b"                           => "🇬🇧",
		"hamradio+c01b"                        => "🇬🇧",
		"hamradio_fieldday+c01b"               => "🇬🇧",
		"hf+c01b"                              => "🇬🇧",
		"iphone+c01b"                          => "🇬🇧",
		"ka7vee-w7sj+c01b"                     => "🇬🇧",
		"plex+c01b"                            => "🇬🇧",
		"ralph_june+c01b"                      => "🇬🇧",
		"repeaters+c01b"                       => "🇬🇧",
		"specialkids+c01b"                     => "🇬🇧"
	);

	// http://open.session.codes/
	$server_languages[] = array(
		"3a28dd+c7fb"                          => "",
		"4c2ba1+c7fb"                          => "🇪🇸",
		"6e7b5f+c7fb"                          => "🇬🇧",
		"90ca71+c7fb"                          => "🇷🇺",
		"a4bb14+c7fb"                          => "🇧🇬",
		"a80d69+c7fb"                          => "🇬🇧",
		"52697b+c7fb"                          => "🇫🇷",
		"d8dc40+c7fb"                          => "🇪🇸",
		"edb497+c7fb"                          => "🇨🇳",
		"sc+c7fb"                              => "🇬🇧"
	);

	// http://95.179.250.131/
	$server_languages[] = array(
		"gay+e5e0"                             => "🇬🇧",
		"generalchat+e5e0"                     => "🇬🇧",
		"hentai+e5e0"                          => "🇬🇧",
		"nsfw+e5e0"                            => "🇬🇧",
		"public+e5e0"                          => "🇬🇧"
	);

	// https://sog.zcyph.cc/
	$server_languages[] = array(
		"offtopic+e56f"                        => "🇬🇧",
		"sessiondev+e56f"                      => "🇬🇧"
	);

	// http://remote.noff.co:8700/
	$server_languages[] = array(
		"Memes+ea8f"                           => "🇬🇧"
	);

	// http://13.233.251.36:8081/
	$server_languages[] = array(
		"xyz+efca"                             => ""
	);

	// http://45.33.57.83/
	$server_languages[] = array(
		"palmos+efe1"                          => "🇬🇧",
		"radcom+efe1"                          => "🇬🇧",
		"ticalc+efe1"                          => "🇬🇧",
		"winmo+efe1"                           => "🇬🇧"
	);

	// http://session.bericbone.com/
	$server_languages[] = array(
		"fc309f9c04c4204cb1a62ae75b1dd9e99dd88cc3777097fb95a614952f598f0b"
											   => "🇬🇧",
	);

	// 	http://chat.privacycountry.org:8888
	$server_languages[] = array(
		"android+fe93"                         => "🇨🇳",
		"cantonese+fe93"                       => "🇭🇰",
		"education+fe93"                       => "🇨🇳",
		"foss+fe93"                            => "🇨🇳",
		"health+fe93"                          => "🇨🇳",
		"im+fe93"                              => "🇨🇳",
		"linux+fe93"                           => "🇨🇳",
		"literature+fe93"                      => "🇨🇳",
		"mandarin+fe93"                        => "🇨🇳",
		"music+fe93"                           => "🇨🇳",
		"notifications+fe93"                   => "🇨🇳",
		"openserveonics+fe93"                  => "🇨🇳",
		"osc+fe93"                             => "🌐",
		"philosophy+fe93"                      => "🇨🇳",
		"privacy+fe93"                         => "🇨🇳",
		"pcf+fe93"                             => "🌐",
		"sci-tech+fe93"                        => "🇨🇳",
		"security+fe93"                        => "🇨🇳",
		"session+fe93"                         => "🇨🇳"
	);

	// http://3.72.109.71/
	$server_languages[] = array(
		"immobilien+f2c1"                      => "🇩🇪",
	);

	// http://sogs.cosmicnation.co/
	$server_languages[] = array(
		"cosmicnation+c794"                    => "🇬🇧",
		"ata+c794"                             => "🇬🇧",
		"scandinavia+c794"                     => "🌐",
		"grapheneos+c794"                      => "🇬🇧",
		"qubesos+c794"                         => "🇬🇧",
	);

	// http://lightinthedark.space
	$server_languages[] = array(
		"general-chat+8c12"                    => "🇬🇧",
		"science-and-tech+8c12"                => "🇬🇧",
	);

	// https://gaohuangse.work/
	$server_languages[] = array(
		"piao+2cd5"                            => "🇨🇳",
		"waiwei+2cd5"                          => "🇨🇳",
		"gaohuangse+2cd5"                      => "🇨🇳",
	);

	// https://chat.ethtweet.io/
	$server_languages[] = array(
		"public-chinese+c975"                  => "🇨🇳",
		"trader+c975"                          => "🇨🇳",
	);

	// https://sogs.privacyhb.com/
	$server_languages[] = array(
		"beagle_galore+3717"                   => "🌐",
	);

	// http://164.92.176.135/
	$server_languages[] = array(
		"uadigitaltalks+e529"                  => "🇺🇦",
		"uaonlinetalks+e529"                   => "🇺🇦",
	);

	// https://adult.oddch.at/
	$server_languages[] = array(
		"55e43f8010a820cf3a4ed50bff1916bd5f166148f2c8b4a9feb1088bc867291b"
		                                       => "🇬🇧",
	);

	// https://communities.hangmans.in/
	$server_languages[] = array(
		"22fd7286e9cdbbd27d502c13d65baaebb6b6f6a32ac8c80f8a00cbb36da37874"
		                                       => "🇬🇧",
	);

	$server_languages[] = array(
		"194f35f15d1fab319259b8d21969995fdf05d13159ce0dac2d37a18dd9c74759"
											   => "🇨🇳",
	);

	/**
	 * @var string[] $languages
	 * Array matching room identifier or server public key to language flag.
	 */
	$languages = array_merge(...$server_languages);
?>
