<?php
	/**
	 * \file
	 * Generate website footer.
	 */
?>
<aside id="affiliation-disclaimer">
	<p>
		SessionCommunities.online is not affiliated with
		<a
			href="https://optf.ngo"
			target="_blank"
		>Oxen Privacy Tech Foundation</a>.
	</p>
</aside>
<footer id="footer">
	<nav id="nav-communities">
		<a
			href="/"
			class="footer__nav-target"
			title="Go back to the main page of sessioncommunities.online"
		>Main page</a
		><a
			href="/groups/regional/"
			class="footer__nav-target"
			title="See our list of world-wide Session Communities"
		>Regional Communities</a
		><a
			href="/groups/tech/"
			class="footer__nav-target"
			title="See our list of technology-focused Session Communities"
		>Tech Communities</a
		>
	</nav>
	<nav id="about-us">
		<a
			href="/about/"
			class="footer__nav-target"
			target="_blank"
			title="About sessioncommunities.online"
		>About</a
		><a
			href="/privacy/"
			rel="privacy-policy"
			class="footer__nav-target"
			target="_blank"
			title="Read sessioncommunities.online's Privacy Policy."
		>Privacy</a
		><a
			href="<?=$REPOSITORY_CANONICAL_URL?>"
			class="footer__nav-target"
			target="_blank"
			title="sessioncommunities.online official repository."
		>Source Code</a
		><a
			href="<?=$REPOSITORY_MIRROR_URL?>"
			class="footer__nav-target"
			target="_blank"
			title="sessioncommunities.online alternate repository."
		>Source Code (Mirror)</a
		><a
			href="<?=$API_CANONICAL_URL?>"
			class="footer__nav-target"
			target="_blank"
			title="Visit the index page of our Session Listing Provider API."
		>API</a
		><a
			href="/support/"
			class="footer__nav-target"
			target="_blank"
			title="Support sessioncommunities.online"
		>Support us</a
		><a
			href="<?=$REPOSITORY_CANONICAL_URL_FILES?>/for-sogops.md"
			class="footer__nav-target"
			target="_blank"
			title="Read our recommendations for Open Group operators"
		>Host a Community?</a
		><a
			target="_blank"
			class="footer__nav-target"
			rel="help"
			title="Multi-language guide to using the site."
			href="/instructions/"
		>Instructions</a
		><a
			href="/about/#contact-us"
			class="footer__nav-target"
			target="_blank"
			title="Information on how to contact the maintainer(s) of sessioncommunities.online"
		>Report an issue</a
		>
	</nav>
	<nav id="more-sites">
		<a
			href="https://lokilocker.com/Mods/Session-Groups/wiki/Session-Closed-Groups"
			class="footer__nav-target"
			target="_blank"
			title="Closed groups curated by community moderators"
		>Closed Groups</a
		><a
			href="https://session.directory/"
			class="footer__nav-target"
			target="_blank"
			title="User-submitted closed groups, communities and user profiles. Not safe for work."
		>session.directory (NSFW)</a
		><a
			href="https://oxen.directory/"
			class="footer__nav-target"
			target="_blank"
			title="Discover more resources in the Oxen ecosystem."
		>oxen.directory</a
		><?php
if (basename($_SERVER['SCRIPT_FILENAME']) == "index.php"):
		?><span
			id="more-sites-info-button"
			class="clickable enter-clicks footer__nav-target"
			title="Read more about sites hosting additional groups."
			tabindex="0"
		><img
			class="feather-icon"
			src="/assets/icons/info.svg"
			alt="(ℹ)"
		></span><?php endif; ?>
	</nav>
	<nav id="about-session">
		<a
			href="https://getsession.org/"
			class="footer__nav-target"
			title="Download Session private messenger for Android, iOS, Windows, Linux, or Mac."
		>Download Session</a
		><a
			href="https://docs.oxen.io/products-built-on-oxen/session/open-group-setup"
			class="footer__nav-target"
			target="_blank"
			title="Information about running a community server."
		>Host Your Own Community</a
		><a
			href="https://getsession.org/terms-of-service"
			class="footer__nav-target"
			target="_blank"
		>Session Terms of Service</a>
	</nav>
</footer>
<footer id="author">
	<span id="footer__author">
		by <a
			class="footer__nav-target"
			href="https://codeberg.org/gravel/gravel"
			rel="author"
		>gravel</a>
	</span>
</footer>
