<?php
	/**
	 * \file
	 * Generate about page.
	 */
	// prerequisite include for sites
	require_once '+getenv.php';
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<?php include('+components/page-head.php'); ?>


	<link rel="stylesheet" href="/css/common-dark.css">
	<meta name="description" content="Learn more about sessioncommunities.online, the up-to-date list of public Session groups; learn how to get your Session Community listed or how to contact us.">
	<title>About — sessioncommunities.online</title>
	<meta property="og:title" content="About — sessioncommunities.online">
	<meta property="og:description" content="Session Communities are public chatrooms accessible from within Session Messenger. <?php
?>This web project crawls known sources of Session Communities, and <?php
?>displays information about them as a static HTML page.">
	<meta property="og:type" content="article">

</head>
<body>
<h1 id="self-updating-list-of-session-communities">About our list of <a href="/" title="Visit sessioncommunities.online">Session Communities</a></h1>
<h2 id="what-is-session-">What is Session?</h2>
<p><a href="https://getsession.org/">Session</a> is a private messaging app that protects your meta-data,
encrypts your communications, and makes sure your messaging activities
leave no digital trail behind.</p>
<h2>What are Session Communities? What does this site do?</h2>
<p>Session Communities are public chatrooms accessible from within Session Messenger.
This web project crawls known sources of Session Communities, and
displays information about them as a static HTML page.</p>
<h2 id="how-do-i-get-my-community-listed-">How do I get my Community listed?</h2>
<p><strong>Answer</strong>: Submit your Community to one of our <a href="#which-sources-do-you-crawl">upstream sources</a>, or better yet, create another page with links to your favorite Communities for more redundancy.</p>
<p>Then, read our <a href="<?=$REPOSITORY_CANONICAL_URL_FILES?>/for-sogops.md">recommendations for Community operators</a>.</p>
<h2 id="which-sources-do-you-crawl-">Which sources do you crawl?</h2>
<p>Communities displayed come from a variety of sources:</p>
<ul>
<li><a href="https://session.directory/">https://session.directory/</a>,</li>
<li><a href="https://lokilocker.com/Mods/Session-Groups/wiki/Session-Open-Groups">https://lokilocker.com/Mods/Session-Groups/wiki/Session-Open-Groups</a>,</li>
<li><a href="https://github.com/GNU-Linux-libre/Awesome-Session-Group-List">https://github.com/GNU-Linux-libre/Awesome-Session-Group-List</a>,</li>
<li><a href="https://freearhkam.cc">https://freearhkam.cc</a>,</li>
<li><a href="https://simplifiedprivacy.com/techgroups">https://simplifiedprivacy.com/techgroups</a>,</li>
<li><a href="<?=$REPOSITORY_CANONICAL_URL_FILES?>/php/servers/known-servers.php">a few hardcoded servers found on the internet</a>.</li>
</ul>
Have a list we don't know about? <a href="#contact-us">Shoot us a message</a>.
<h2 id="contributing">Contributing</h2>
<p>See <a href="<?=$REPOSITORY_CANONICAL_URL_FILES?>/CONTRIBUTING.md">CONTRIBUTING.md</a> for information about running the project and contributing code, or <a href="<?=$REPOSITORY_CANONICAL_URL_FILES?>/languages/README.md">languages/README.md</a> to help add language labels for Communities.</p>
<h2 id="policy">Policy</h2>
<p>We require that content posted in Communities adheres to the Content Policy laid out in the <a href="https://getsession.org/terms-of-service">Session Terms of Service</a>. Additionally, we may consider Communities unsuitable for display if their content is in breach of copyright and/or encourages or instructs drug use.</p>
<p>If Communities explicitly accept such content or fail to moderate such content, we may display these Communities only to users who have disabled JavaScript in their browser, or to none at all. Therefore, <strong>it is crucial your Community has adequate coverage by moderators</strong>.</p>
<p>For safety reasons, we may also hide Communities intended for testing. We appreciate contact with and the continued vigilance of server operators to prevent any issues from arising that would lead to us de-listing your Community.</p>
<h2 id="contact-us">Contact us</h2>
<p>To report issues or make suggestions, <a href="https://codeberg.org/gravel/sessioncommunities.online/issues/new">file an issue on our repository</a> or <a href="<?=$SITE_CANONICAL_URL?>/#webdev+118d">visit the Web Development Community</a> on caliban.org. Be sure to include proper reasoning with your suggestion.</p>
<p>In case your issue cannot be resolved publicly, contact <a href="https://codeberg.org/gravel/gravel">gravel</a> on Session as <code>gravel</code> (Registered Session ID).</p>

<?php include "+components/footer.php"; ?>

</body>
</html>
